Subject: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version

From: [email-masked] (K. Handa)
Date: Tue, 10 Dec 2013 20:48:11 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > Anyway, if Emacs 24 has a bug, for instance, in
> > map-charset-chars, we may generate wrong maps with that
> > buggy Emacs.

> Yes, but presumably whoever generates those maps will compare them
> with previous ones, before committing the results.

If he/she has the "previous ones" to compare, why does
he/she have to generate them?

> > > Is the effort of making it work with MULE-is13194.map is
> > > so significant?
> > 
> > ??? I'm saying that such an effort is useless.  If someone
> > want to generate those maps, he/she should use Emacs 22.

> I don't understand: are you saying that these maps are not used at all
> in Emacs 23 and later?  In that case, we should simply delete them
> from the repository.

They are surely used as well as the other maps
(e.g. Uni2JIS) which can never be re-generated if the source
internet sites are gone.

> But if these files _are_ used by latest Emacsen, then having to look
> for an old Emacs 22 binary in order to produce them is a nuisance.
> E.g., imagine that the maps have been lost for some reason (like some
> disaster on Savannah), and need to be regenerated.

I think it is a nuisance to prepare for such a disaster.
But, if we are going to do that, as such a disaster will
happen on any other internet sites, we should have a program
to re-generate all charsets (and perhaps all uni-*.el).

---
Kenichi Handa
[email-masked]